import { DumpOptions, LoadOptions } from 'js-yaml';
import type { ZodType } from 'zod';
type YamlOptions<ResT = unknown, Schema extends ZodType<ResT> = ZodType<ResT>> = {
    customSchema?: Schema;
    removeTemplates?: boolean;
} & LoadOptions;
export declare function parseYaml<ResT = unknown>(content: string, iterator?: null | undefined, options?: YamlOptions<ResT>): ResT[];
export declare function parseSingleYaml<ResT = unknown>(content: string, options?: YamlOptions<ResT>): ResT;
export declare function dump(obj: any, opts?: DumpOptions | undefined): string;
export {};
